﻿

/*-------------------------------------- PERFIL ----------------------------------------*/

select,
input[type=date]::-webkit-calendar-picker-indicator,
input[type=number]::-webkit-inner-spin-button,
input[type=date]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    display: none;
}

select,
input[type=date],
input[type=number] {
    -moz-appearance: textfield;
}

/*-----------------------------------------------------------------------------------------------*/

.profile-user-img {
    height: 100px;
    -o-object-fit: cover;
    object-fit: cover;
    margin: 0 auto;
    width: 100px;
    padding: 3px;
    border: 3px solid #d2d6de;
}

.nav-user-img {
    height: 100px;
    -o-object-fit: cover;
    object-fit: cover;
    margin: 0 auto;
    width: 100px;
    padding: 3px;
}


/*-----------------------------------------------------------------------------------------------*/

.my-pagination /deep/ .ngx-pagination {
    display: flex !important;
    justify-content: center !important;
}

.my-pagination /deep/ .ngx-pagination li {
    border-radius: 5px;
}

.my-pagination /deep/ .ngx-pagination .current {
    background: #0c3259;
}

// -----------------------------------------------------------------------------------------------

.ng-select ::ng-deep .ng-select-container {
    min-height: 0px;
    border-radius: 0;
    -webkit-box-shadow: none;
    box-shadow: none;
    border-color: #d2d6de;
    height: 34px;
}

.ng-select.ng-select-focused ::ng-deep .ng-select-container {
    border-color: #0c3259;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.ng-select.has-error.ng-select-focused ::ng-deep .ng-select-container {
    border-color: #843534;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 6px #ce8483;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 6px #ce8483;
}

.ng-select.has-error ::ng-deep .ng-select-container {
    border-color: #a94442;
    -webkit-box-shadow: none;
    box-shadow: none;
}

/*-----------------------------------------------------------------------------------------------*/

.normal-right-spinner {
    color: white;
    -webkit-animation: glyphicon-spin-r 1dsds infinite linear;
    animation: glyphicon-spin-r 1s infinite linear;
}

@-webkit-keyframes glyphicon-spin-r {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg);
    }
}

@keyframes glyphicon-spin-r {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg);
    }
}

@-webkit-keyframes glyphicon-spin-l {
    0% {
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg);
    }

    100% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
}

@keyframes glyphicon-spin-l {
    0% {
        -webkit-transform: rotate(359deg);
        transform: rotate(359deg);
    }

    100% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
}
